#!/bin/sh
# I hate shell scripts
# Picscript 1.5b
# Mark Kamichoff <prox@prolixium.com>

# http://www.die.net/doc/linux/abs-guide/contributed-scripts.html
# blank-rename.sh
# -----------------------
FOUND=0
for filename in *         #Traverse all files in directory.
do
     echo "$filename" | grep -q " "         #  Check whether filename
     if [ $? -eq $FOUND ]                   #+ contains space(s).
     then
       fname=$filename                      # Strip off path.
       n=`echo $fname | sed -e "s/ /_/g"`   # Substitute underscore for blank.
       mv "$fname" "$n"                     # Do the actual renaming.
     fi
done 
# -----------------------

# tolower()
for x in `ls -b1`
	do
	if [ ! -f $x ]; then
	continue
	fi
	convert=`echo $x | tr '[A-Z]' '[a-z]'`
	if [ $convert != $x ]; then
	mv -i $x $convert
	fi
done

if [ ! -d thumbs ]; then
	echo "Making thumbs dir ... ";
	mkdir thumbs
fi

echo "Converting .jpg files ... ";
for x in `ls -b *.jpg 2> /dev/null`
	do
	if [ ! -f thumbs/$x ]; then
	echo -n "Converting $x ... ";
	convert -resize 160x120! $x +profile '*' thumbs/$x
	echo "done";
	fi
done

echo "Converting .png files ... ";
for x in `ls *.png 2> /dev/null`
	do
	if [ ! -f thumbs/$x ]; then
	echo -n "Converting $x ... ";
	convert -resize 160x120! $x +profile '*' thumbs/$x
	echo "done";
	fi
done

if [ ! -f descriptions.txt ]; then
	echo "Picture Gallery - Picscript 1.5b" > descriptions.txt
	echo "default_descriptions" >> descriptions.txt
fi
